For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETCheck Existence of Customer Email
              • GETList Users
              • POSTCreate User
              • GETGet User Information
              • PUTUpdate User Information
              • DELDelete User
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyUsers

Create User

POST
https://api-b2b.bigcommerce.com/api/v2/users
POST
/api/v2/users
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "firstName": "Marie",
> "lastName": "Curie",
> "email": "m.curie@greatbuys.com",
> "companyId": "123456",
> "phoneNumber": "8001234567",
> "role": "0"
>}'
200Successful
1{
2 "message": "string",
3 "code": 200,
4 "data": {
5 "userId": "123",
6 "bcId": "321",
7 "firstName": "Marie",
8 "lastName": "Curie",
9 "email": "m.curie@greatbuys.com",
10 "role": "1"
11 }
12}
Creates a new user in a Company account. Equivalent Storefront GraphQL API Mutation: `userCreate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground). If you enter an email address in the `email` field that is associated with a BigCommerce customer account, and the customer account does not already have a corresponding Company user account, it will link the existing customer account with the new Company user. If the email is not associated with a customer account, a new one will be created with the Company user. This endpoint will send a welcome email to the new user as if they had created their account via the Storefront UI. When you create an account this way, the user must reset their password to log in to the storefront unless they already have an existing BigCommerce customer account.
Was this page helpful?
Previous

List Users

Next

Get User Information

Built with

Creates a new user in a Company account.

Equivalent Storefront GraphQL API Mutation: userCreate. For more information, see the GraphQL Playground.

If you enter an email address in the email field that is associated with a BigCommerce customer account, and the customer account does not already have a corresponding Company user account, it will link the existing customer account with the new Company user. If the email is not associated with a customer account, a new one will be created with the Company user.

This endpoint will send a welcome email to the new user as if they had created their account via the Storefront UI.

When you create an account this way, the user must reset their password to log in to the storefront unless they already have an existing BigCommerce customer account.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Request

This endpoint expects an object.
firstNamestringRequired
The user's first name.
lastNamestringRequired
The user's last name.
emailstringRequiredformat: "email"
The email address associated with the user's account.
companyIdstringRequired
Unique numeric ID of the Company account.
phoneNumberstringRequired
The phone number associated with the user's account.
roleenumRequired

The ID of the role assigned to the Company user account as defined at Specifying User Role.

Allowed values:

Response

OK
messagestring
codedoubleDefaults to 200
dataobject